package com.ss.android.ugc.aweme;

import X.RyP;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import com.bytedance.covode.number.Covode;
import java.util.ArrayList;
import java.util.List;

public interface IBindService {
    static {
        Covode.recordClassIndex(50349);
    }

    void bindEmail(Activity activity, String str, String str2, Bundle bundle, RyP ryP);

    void bindMobile(Activity activity, String str, Bundle bundle, RyP ryP);

    void bindMobile(Activity activity, String str, String str2, Bundle bundle, RyP ryP);

    void bindMobileOrEmailAndSetPwd(Activity activity, String str, String str2, Bundle bundle, RyP ryP);

    void changeEmail(Activity activity, String str, Bundle bundle, RyP ryP);

    void changeUnverifiedEmail(Activity activity, String str, Bundle bundle);

    Intent getAuthorizeActivityStartIntent(Context context);

    List<String> getSocialPlatformNames();

    boolean isPlatformBound(String str);

    void modifyMobile(Activity activity, String str, Bundle bundle, RyP ryP);

    void modifyMobileVerifyByEmail(Activity activity, String str, Bundle bundle, RyP ryP);

    void modifyMobileVerifyByPassword(Activity activity, String str, Bundle bundle, RyP ryP);

    void unbindEmail(Activity activity, boolean z, ArrayList<String> arrayList, String str);

    void unbindPhone(Activity activity, ArrayList<String> arrayList, String str);

    void verifyEmail(Activity activity, String str, Bundle bundle, RyP ryP);

    void verifyEmailForTicket(Activity activity, String str, String str2, Bundle bundle, RyP ryP);

    void verifyMobileForTicket(Activity activity, String str, String str2, Bundle bundle, RyP ryP);
}
